Bug 974417 - BVT: Validation of volume set option "auth.reject" in vol file Failed
BVT: Validation of volume set option "auth.reject" in vol file Failed
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
2.1
All Unspecified
medium Severity medium
: ---
: ---
Assigned To: Kaushal
Sudhir D
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 03:31 EDT by Lalatendu Mohanty
Modified: 2013-06-24 08:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 08:35:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lalatendu Mohanty 2013-06-14 03:31:39 EDT
Description of problem:

Validation of set option "auth.reject" in brick vol file Failed  

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
    Running 'gluster volume set volume-set auth.reject 192.168.1.78'

:: [ 21:17:36 ] ::  Executing validation in volume info

:: [   PASS   ] :: Validation of set option auth.reject in volume info is      Successful

:: [ 21:17:37 ] ::  Executing validation in volume file
:: [   FAIL   ] :: Validation of set option auth.reject in vol file is Failed  

Actual results:


Expected results:


Additional info:
Comment 2 Kaushal 2013-06-20 01:52:15 EDT
What pattern are you searching for in the vol files? The auth.addr & auth.reject options are present in the brick volfiles only and have the pattern,

  option auth.addr.<brickpath>.{allow,reject} <value>

So, if on a volume 'test' is created with one brick 'host:/export/brick1', you set the option 'auth.allow' to 'example.com' , you will need to search for
  option auth.addr./export/brick1.allow example.org
in the volfile /var/lib/gluster/vols/test/test.host.export-brick.vol
Comment 3 Lalatendu Mohanty 2013-06-24 08:35:13 EDT
It is an automation code issue. Closing the bug

Note You need to log in before you can comment on or make changes to this bug.